Subject: RE: BIND vs. non-movable resources in RFC3253, copy and cycles

From: Jason Crawford <[email-masked]>
Date: Thu, 31 Oct 2002 23:39:21 -0500

Even in the absense of cycles, if you are doing a copy, and there are 
diamond graphs, 

    a
 /    \
b     c
  \   /
    d
   /||\

And d is actually a subtree, if the server does't reconstruct the diamond 
or flag the duplication,
you're going to duplicate the sub tree below d.  That might be expensive.

Do we have to require folks to reconstruct the graph?  Probably not, but 
we should
at least educate them about situations like this and encourage them to 
recreate the 
graph.

J.

------------------------------------------
Phone: 914-784-7569